Bug 476260 - system-config-cluster xml errors with _independent_subtree
system-config-cluster xml errors with _independent_subtree
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-cluster (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 14:13 EST by Shane Bradley
Modified: 2016-04-26 11:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scc patch to add independent_subtree to all resource refs (4.15 KB, patch)
2008-12-12 14:27 EST, Shane Bradley
no flags Details | Diff

  None (edit)
Description Shane Bradley 2008-12-12 14:13:53 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

If the tag __independent_subtree is used a resource ref enclosed in
service tag is used and xml errors are generated.

xmllint and system-config-cluster throw the same error.

$ xmllint --relaxng /usr/share/system-config-cluster/misc/cluster.ng /etc/cluster/cluster.conf
/etc/cluster/cluster.conf:48: element ip: Relax-NG validity error : Element service has extra content: ip
Relax-NG validity error : Extra element rm in interleave
/etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error : Element cluster failed to validate content
/etc/cluster/cluster.conf fails to validate


This works with no errors in scc:
<script file="/etc/init.d/httpd" name="httpd" __independent_subtree="1"/>

The fails with xml error in scc, but works:
<script ref="httpd" __independent_subtree="1"/>     

Reproducible: Always

Steps to Reproduce:
1.add __independent_subtree="1" to ref resource in service def
2.system-config-cluster

Actual Results:  
xml error will be generated:

$ xmllint --relaxng /usr/share/system-config-cluster/misc/cluster.ng /etc/cluster/cluster.conf
/etc/cluster/cluster.conf:48: element ip: Relax-NG validity error : Element service has extra content: ip
Relax-NG validity error : Extra element rm in interleave
/etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error : Element cluster failed to validate content
/etc/cluster/cluster.conf fails to validate

Expected Results:  
no errors when running system-config-cluster or xmllint.

I will generate a patch for this issue shortly. I will have to add the fix to all resources.

For example here is patch for the FS resource:
Here is an example of the fix for the FS resource:
$ cat /usr/share/system-config-cluster/misc/cluster.ng
<define name="FS">
  <element name="fs">
   <choice>                  
    <group>                  
     <attribute name="ref"/>
     <optional>  
      <attribute name="__independent_subtree"/>
     </optional>              
    </group>                  
    <group>  
     <attribute name="name"/>
Comment 1 Shane Bradley 2008-12-12 14:27:21 EST
Created attachment 326764 [details]
scc patch to add independent_subtree to all resource refs
Comment 6 Chris Ward 2010-02-11 05:19:43 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 7 Brian Brock 2010-03-09 15:57:36 EST
bug fix verified in system-config-cluster-1.0.57-3

adding the option to a resource doesn't cause errors in s-c-cluster
Comment 11 Shane Bradley 2010-03-19 13:42:36 EDT
Fix verified with comment: https://bugzilla.redhat.com/show_bug.cgi?id=476260#c7
Comment 12 errata-xmlrpc 2010-03-30 04:54:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0288.html

Note You need to log in before you can comment on or make changes to this bug.